| Home | Libraries | People | FAQ | More

## Class template is_recursive_wrapper

boost::is_recursive_wrapper —

Determines whether the specified type is a specialization of `recursive_wrapper`.

## Synopsis

    template<typename T>
    class is_recursive_wrapper {
    public:
      // types
      typedef unspecified type;

      // static constants
      static const bool value = unspecified;
    };

## Description

Value is true iff `T` is a specialization of `recursive_wrapper`.

Note: `is_recursive_wrapper` is a model of MPL's IntegralConstant concept.

| Copyright © 2002, 2003 Eric Friedman, Itay Maman